com.ihr.xbrl.om

## Class XBRLCatalogResourceSource

- java.lang.Object
- - javax.xml.transform.stream.StreamSource
  - - com.ihr.xbrl.om.XBRLCatalogResourceSource

- All Implemented Interfaces:
    NoReusableSource, XBRLSourceCatalogInterface, javax.xml.transform.Source

      public class XBRLCatalogResourceSource
      extends javax.xml.transform.stream.StreamSource
      implements XBRLSourceCatalogInterface, NoReusableSource

  The Class XBRLCatalogResourceSource.
  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from class javax.xml.transform.stream.StreamSource

      `FEATURE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLCatalogResourceSource(java.io.InputStream iss)` Instantiates a new XBRL catalog resource source.
    `XBRLCatalogResourceSource(javax.xml.transform.Source ss)` Instantiates a new XBRL catalog resource source.
    `XBRLCatalogResourceSource(java.io.StringReader stringReader)` Instantiates a new XBRL catalog resource source.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getLocalFile()` Gets the local file.
    `void` | `setLocalFile(java.io.File f)` Sets the local file to the parameter indicated.

    - ### Methods inherited from class javax.xml.transform.stream.StreamSource

      `getInputStream, getPublicId, getReader, getSystemId, setInputStream, setPublicId, setReader, setSystemId, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLCatalogResourceSource

          public XBRLCatalogResourceSource(java.io.StringReader stringReader)

      Instantiates a new XBRL catalog resource source.
      Parameters:
        `stringReader` - the string reader

    - #### XBRLCatalogResourceSource

          public XBRLCatalogResourceSource(java.io.InputStream iss)

      Instantiates a new XBRL catalog resource source.
      Parameters:
        `iss` - the iss

    - #### XBRLCatalogResourceSource

          public XBRLCatalogResourceSource(javax.xml.transform.Source ss)

      Instantiates a new XBRL catalog resource source.
      Parameters:
        `ss` - the ss

  - ### Method Detail

    - #### setLocalFile

          public void setLocalFile(java.io.File f)

      Description copied from interface: `XBRLSourceCatalogInterface`
      Sets the local file to the parameter indicated.
      Specified by:
        `setLocalFile` in interface `XBRLSourceCatalogInterface`
      Parameters:
        `f` - a File representing a local file in the filesystem

    - #### getLocalFile

          public java.io.File getLocalFile()

      Description copied from interface: `XBRLSourceCatalogInterface`
      Gets the local file.
      Specified by:
        `getLocalFile` in interface `XBRLSourceCatalogInterface`
      Returns:
        File